Name:           javatar
Version:        2.5
Release:        5%{?dist}
Summary:        Java tar archive io package

Group:          Development/Libraries
License:        Public Domain
URL:            http://www.trustice.com/java/tar/
Source0:        http://www.gjt.org/download/time/java/tar/javatar-%{version}.tar.gz
# Fix srcdir and point to system activation.jar
Patch0:         %{name}-2.5-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
#Missing java >= 1:1.6.0
ExcludeArch:    ppc64

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant

Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

%description
The package com.ice.tar implements a tar archive io package. This package
allows you to create, and extract tar archives. Since the package uses
InputStream and OutputStream, it is possible to combine this package with the
java.util.zip package to handle .tar.gz files.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Development Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p1 -b .build
find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' +
# Fix line endings
find \( -name '*.java' -o -name '*.txt' -o -name '*.xml' -o -name LICENSE \) -exec sed -i 's/\r//' '{}' +
#Remove manifest classpath and name
sed -i -e '/^Class-Path:/d' -e '/^Name:/d' source/com/ice/tar/META-INF/MANIFEST.MF


%build
ant -buildfile source/com/ice/tar/build.xml deploy


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p tar-%{version}/jars/tar.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/tar.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/tar-%{version}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
cp -rp doc $RPM_BUILD_ROOT/%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/LICENSE
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/tar-%{version}.jar
%{_javadir}/tar.jar

%files javadoc
%defattr(-,root,root,-)
%doc doc/LICENSE
%{_javadocdir}/%{name}


%changelog
* Sat Dec 18 2010 Orion Poplawski <orion@cora.nwra.com> - 2.5-5
- Fix java requires

* Fri Dec 17 2010 Orion Poplawski <orion@cora.nwra.com> - 2.5-4
- ExcludeArch ppc64 - missing java >= 1:1.6.0 - EPEL6
- Add license to javadoc package

* Wed Dec 15 2010 Orion Poplawski <orion@cora.nwra.com> - 2.5-3
- Drop gcj and jaf
- Update build patch

* Mon Oct 26 2009 Orion Poplawski <orion@cora.nwra.com> - 2.5-2
- Remove existing class files
- Package javadocs
- Make sure debuginfo has source files

* Wed Oct 14 2009 Orion Poplawski <orion@cora.nwra.com> - 2.5-1
- Initial Fedora Package
